Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Incremental_Key_Generator< T > Class Template Reference

Defines a simple incremental key generator. More...

`#include <Map_T.h>`

Collaboration diagram for ACE_Incremental_Key_Generator< T >:

[legend]
List of all members.

## Public Member Functions
| ACE_Incremental_Key_Generator (void)
| Constructor.
int | operator() (T &t)
| Functor method: generates a new key.
const T & | current_value (void) const
| Returns the current value.
## Protected Attributes
T | t_
| Current value.

## Detailed Description

### template<class T>
class ACE_Incremental_Key_Generator< T >

Defines a simple incremental key generator.

Generates a new key of type T by incrementing current value. Requirements on T are:

- Constructor that accepts 0 in the constructor.
- Prefix increment.
- Assignment. Note that a primitive types such as u_long, int, etc., are suitable for this class.

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE ACE_Incremental_Key_Generator< T >::ACE_Incremental_Key_Generator | ( | void |  | ) |

| Constructor.

## Member Function Documentation

template<class T>
ACE_INLINE const T & ACE_Incremental_Key_Generator< T >::current_value | ( | void |  | ) | const

| Returns the current value.

template<class T>
ACE_INLINE int ACE_Incremental_Key_Generator< T >::operator() | ( | T & | t | ) |

| Functor method: generates a new key.

## Member Data Documentation

template<class T>
T ACE_Incremental_Key_Generator< T >::t_`[protected]`

| Current value.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.inl